## org.eclipse.jet
Interface IWriterListenerExtension

All Known Implementing Classes:
  UserRegionHelper

    public interface IWriterListenerExtension

Extension interface to `IWriterListener` allowing finalizeContent handlers to receive existing file contents

Since:
  0.9

Method Summary
`void` `finalizeContent(JET2Writer writer, java.lang.Object fileObject, java.lang.String existingContent)` Perform any finalization of the content in the writer.

Method Detail

### finalizeContent

    void finalizeContent(JET2Writer writer,
                         java.lang.Object fileObject,
                         java.lang.String existingContent)
                         throws JET2TagException

  Perform any finalization of the content in the writer. If the file represented by fileObject does not exist, then `IWriterListener.finalizeContent(JET2Writer, Object)` is called.

  Parameters:
    `writer` - the writer in the process of being finalized
    `file` - a handle to object to which the content will ultimately be written. The standard JET2 Workspace tags pass an org.eclipse.core.resources.IFile, but other tags may pass objects of other types.
    `existingContent` - the existing file content
  Throws:
    `JET2TagException` - if the method cannot complete normally

Copyright 2006 IBM Corporation and others. All Rights Reserved.